## org.eclipse.emf.common.util
Interface TreeIterator<E>

All Superinterfaces:
  java.util.Iterator<E>

All Known Implementing Classes:
  AbstractTreeIterator, AdapterFactoryEditingDomain.DomainTreeIterator, AdapterFactoryTreeIterator, EcoreUtil.ContentTreeIterator, MappingImpl.MappingTreeIterator, ModelExporter.GenPackagesTreeIterator

    public interface TreeIterator<E>

extends java.util.Iterator<E>

A mechanism for iterating over all the nodes of a tree; it provides the capability to `prune` the iteration so that all descendants of a particular node are skipped.

Method Summary
`void` `prune()` Prunes the iterator so that it skips over all the nodes below the most recent result of calling `next()`.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### prune

    void prune()

  Prunes the iterator so that it skips over all the nodes below the most recent result of calling `next()`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.